Package io.vertx.core.net

## Class SSLEngineOptions

- java.lang.Object
- - io.vertx.core.net.SSLEngineOptions

- Direct Known Subclasses:
    `JdkSSLEngineOptions`, `OpenSSLEngineOptions`

      public abstract class SSLEngineOptions
      extends Object

  The SSL engine implementation to use in a Vert.x server or client.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static boolean` | `DEFAULT_USE_WORKER_POOL` | The default thread pool type for SSL blocking operations.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SSLEngineOptions()` |
    `SSLEngineOptions​(JsonObject json)` |
    `SSLEngineOptions​(SSLEngineOptions that)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract SSLEngineOptions` | `copy()` |
    `boolean` | `getUseWorkerThread()` |
    `SSLEngineOptions` | `setUseWorkerThread​(boolean useWorkerThread)` | Set the thread pool to use for SSL blocking operations.
    `abstract SslContextFactory` | `sslContextFactory()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_USE_WORKER_POOL

          public static final boolean DEFAULT_USE_WORKER_POOL

      The default thread pool type for SSL blocking operations.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SSLEngineOptions

          public SSLEngineOptions()

    - #### SSLEngineOptions

          public SSLEngineOptions​(SSLEngineOptions that)

    - #### SSLEngineOptions

          public SSLEngineOptions​(JsonObject json)

  - ### Method Detail

    - #### copy

          public abstract SSLEngineOptions copy()

    - #### sslContextFactory

          public abstract SslContextFactory sslContextFactory()

      Returns:
        a `SslContextFactory` that will be used to produce the Netty `SslContext`

    - #### getUseWorkerThread

          public boolean getUseWorkerThread()

      Returns:
        whether to use the worker pool for SSL blocking operationsg

    - #### setUseWorkerThread

          public SSLEngineOptions setUseWorkerThread​(boolean useWorkerThread)

      Set the thread pool to use for SSL blocking operations.
      Parameters:
        `useWorkerThread` - whether to use the vertx internal worker pool for SSL blocking operations
      Returns:
        a reference to this, so the API can be used fluently